summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMuflone2017-04-25 19:03:47 +0200
committerMuflone2017-04-25 19:03:47 +0200
commitc6134533a57141186ccce1d61f4464164074af3b (patch)
treea0aafb8e2d1755c8b3fbc5b4988ed46ae37fb419
parent36179ae221837860d1e68eed4066717a0655cb3d (diff)
downloadaur-c6134533a57141186ccce1d61f4464164074af3b.tar.gz
Updated package foxitreader 2.4.0.14978-2
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD93
-rw-r--r--foxitreader-excluded_files-i68699
-rw-r--r--foxitreader-excluded_files-x86_64134
4 files changed, 312 insertions, 26 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d31834e0626..d951439b85f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Fri Apr 21 00:01:41 UTC 2017
+# Tue Apr 25 16:54:32 UTC 2017
pkgbase = foxitreader
pkgdesc = A fast, secure and complete PDF viewer
pkgver = 2.4.0.14978
- pkgrel = 1
+ pkgrel = 2
url = https://www.foxitsoftware.com/products/pdf-reader/
arch = i686
arch = x86_64
@@ -11,17 +11,21 @@ pkgbase = foxitreader
makedepends = qt-installer-framework
makedepends = qt5-tools
makedepends = p7zip
- depends = desktop-file-utils
- depends = qt5-declarative
depends = libsecret
+ depends = fcitx-qt5
+ depends = qt5-webkit
source = https://www.foxitsoftware.com/products/pdf-reader/eula.html
source = foxitreader.patch
sha256sums = 738fc621a727e0429b9c50580b3c166776797f925f2819037d1414dad0b95f6a
sha256sums = d85bfa4b293927975182aa6b1582ac064c5732711e5678d5f1ec35e65c78e6d1
source_i686 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.0.14978_Server_x86_enu_Setup.run.tar.gz
+ source_i686 = foxitreader-excluded_files-i686
sha256sums_i686 = 1804bfcd6b090bc416b815f9dc14488abca9f1cb3785406d250852a79c3972f4
+ sha256sums_i686 = a3bc0169502fe781289af3ac9e15255e0a98b0d1fc68c93468c6e5e132ee50b2
source_x86_64 = http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/2.4/en_us/FoxitReader2.4.0.14978_Server_x64_enu_Setup.run.tar.gz
+ source_x86_64 = foxitreader-excluded_files-x86_64
sha256sums_x86_64 = 678a130e96a53f2b42d966b8e6c33c4563b0740db72d12876496b8657eb45fc4
+ sha256sums_x86_64 = 578f1b93ae1eecb67d35f2f908abf0ca611656dbb8211a1be883a8ba01498dc1
pkgname = foxitreader
diff --git a/PKGBUILD b/PKGBUILD
index 3a686635e5e..ef1b443271a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,23 +6,29 @@ pkgname=foxitreader
pkgver=2.4.0.14978
_frrev_i686=r254978
_frrev_x86_64=${_frrev_i686}
-pkgrel=1
+pkgrel=2
pkgdesc="A fast, secure and complete PDF viewer"
arch=('i686' 'x86_64')
url="https://www.foxitsoftware.com/products/pdf-reader/"
license=('custom:EULA')
makedepends=('qt-installer-framework' 'qt5-tools' 'p7zip')
-depends=('desktop-file-utils' 'qt5-declarative' 'libsecret')
+depends=('libsecret' 'fcitx-qt5' 'qt5-webkit')
source=("https://www.foxitsoftware.com/products/pdf-reader/eula.html"
"${pkgname}.patch")
-source_i686=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x86_enu_Setup.run.tar.gz")
-source_x86_64=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x64_enu_Setup.run.tar.gz")
+source_i686=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x86_enu_Setup.run.tar.gz"
+ "${pkgname}-excluded_files-i686")
+source_x86_64=("http://cdn09.foxitsoftware.com/pub/foxit/reader/desktop/linux/2.x/${pkgver%.*.*}/en_us/FoxitReader${pkgver}_Server_x64_enu_Setup.run.tar.gz"
+ "${pkgname}-excluded_files-x86_64")
sha256sums=('738fc621a727e0429b9c50580b3c166776797f925f2819037d1414dad0b95f6a'
'd85bfa4b293927975182aa6b1582ac064c5732711e5678d5f1ec35e65c78e6d1')
-sha256sums_i686=('1804bfcd6b090bc416b815f9dc14488abca9f1cb3785406d250852a79c3972f4')
-sha256sums_x86_64=('678a130e96a53f2b42d966b8e6c33c4563b0740db72d12876496b8657eb45fc4')
+sha256sums_i686=('1804bfcd6b090bc416b815f9dc14488abca9f1cb3785406d250852a79c3972f4'
+ 'a3bc0169502fe781289af3ac9e15255e0a98b0d1fc68c93468c6e5e132ee50b2')
+sha256sums_x86_64=('678a130e96a53f2b42d966b8e6c33c4563b0740db72d12876496b8657eb45fc4'
+ '578f1b93ae1eecb67d35f2f908abf0ca611656dbb8211a1be883a8ba01498dc1')
build() {
+ local _file
+ local _line
# Clean installer dir
if [ -d "${pkgname}-installer" ]
then
@@ -31,33 +37,76 @@ build() {
# Decompress .run installer
if [ "${CARCH}" = 'x86_64' ]
then
- _file_run="FoxitReader.enu.setup.${pkgver}(${_frrev_x86_64}).x64.run"
+ _file="FoxitReader.enu.setup.${pkgver}(${_frrev_x86_64}).x64.run"
else
- _file_run="FoxitReader.enu.setup.${pkgver}(${_frrev_i686}).x86.run"
+ _file="FoxitReader.enu.setup.${pkgver}(${_frrev_i686}).x86.run"
+ fi
+ devtool --dump "${pkgname}-installer" "${_file}"
+ # Clean build dir
+ if [ -d "${pkgname}-build" ]
+ then
+ rm -rf "${pkgname}-build"
fi
- devtool --dump "${pkgname}-installer" "${_file_run}"
-}
-
-package() {
- cd "${pkgname}-installer/metadata/Install Foxit Reader"
# Decompress files
- install -m 755 -d "${pkgdir}/usr/lib/${pkgname}"
- for file in *.7z
+ cd "${pkgname}-installer/metadata/Install Foxit Reader"
+ install -m 755 -d "${srcdir}/${pkgname}-build"
+ for _file in *.7z
do
- 7z x -o"${pkgdir}/usr/lib/${pkgname}" ${file} > /dev/null
+ 7z x -o"${srcdir}/${pkgname}-build" ${_file} > /dev/null
done
# Apply final patches
- cd "${pkgdir}"
- patch -p1 -i "${srcdir}/${pkgname}.patch"
- # Remove useless files
- cd "${pkgdir}/usr/lib/${pkgname}"
+ cd "${srcdir}/${pkgname}-build"
+ patch -p4 -i "${srcdir}/${pkgname}.patch"
+ # Remove unneeded files
rm "Activation" "Activation.desktop" "Activation.sh" \
"countinstalltion" "countinstalltion.sh" \
"installUpdate" "ldlibrarypath.sh" \
"maintenancetool.sh" "Uninstall.desktop" \
"Update.desktop" "updater" "updater.sh"
- find -type d -name .svn -exec rm -rf {} +
- find -type f -name .directory -exec rm -rf {} +
+ find -type d -name ".svn" -exec rm -rf {} +
+ find -type f -name ".directory" -exec rm -rf {} +
+ find -type f -name "*~" -exec rm {} +
+ # Remove excluded files
+ while IFS='' read -r _line
+ do
+ if [ "${_line::1}" == '#' ]
+ then
+ echo " -> Removing excluded files from ${_line:2}..."
+ elif [ -n "${_line}" ]
+ then
+ rm "${srcdir}/${pkgname}-build/${_line}"
+ fi
+ done < "${srcdir}/${pkgname}-excluded_files-$CARCH"
+}
+
+check() {
+ # Check for unwanted libraries
+ local _file
+ local _unwanted=0
+ cd "${srcdir}/${pkgname}-build/lib"
+
+ for _file in *
+ do
+ if [ "${_file}" != 'libQt5PrintSupport.so' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5.3' -a \
+ "${_file}" != 'libQt5PrintSupport.so.5.3.2' ]
+ then
+ echo " -> Unwanted library ${_file}"
+ _unwanted=1
+ fi
+ done
+ if [ ${_unwanted} -ne 0 ]
+ then
+ echo " -> At least an unwanted library exists in $PWD"
+ exit 1
+ fi
+}
+
+package() {
+ install -m 755 -d "${pkgdir}/usr/lib/${pkgname}"
+ cd "${srcdir}/${pkgname}-build"
+ cp -r * "${pkgdir}/usr/lib/${pkgname}"
# Install icon and desktop files
install -m 755 -d "${pkgdir}/usr/share/pixmaps"
install -m 644 "images/FoxitReader.png" \
diff --git a/foxitreader-excluded_files-i686 b/foxitreader-excluded_files-i686
new file mode 100644
index 00000000000..7163a1fe295
--- /dev/null
+++ b/foxitreader-excluded_files-i686
@@ -0,0 +1,99 @@
+# gstreamer0.10-base
+lib/libgstapp-0.10.so.0
+lib/libgstapp-0.10.so.0.25.0
+lib/libgstbase-0.10.so.0
+lib/libgstbase-0.10.so.0.30.0
+lib/libgstinterfaces-0.10.so.0
+lib/libgstinterfaces-0.10.so.0.25.0
+lib/libgstpbutils-0.10.so.0
+lib/libgstpbutils-0.10.so.0.25.0
+lib/libgstvideo-0.10.so.0
+lib/libgstvideo-0.10.so.0.25.0
+
+# gstreamer0.10
+lib/libgstreamer-0.10.so.0
+lib/libgstreamer-0.10.so.0.30.0
+
+# libgcrypt
+lib/libgcrypt.so.20
+lib/libgcrypt.so.20.0
+lib/libgcrypt.so.20.0.1
+
+# openssl
+lib/libcrypto.so.1
+lib/libcrypto.so.1.0
+lib/libcrypto.so.1.0.0
+lib/libssl.so.1
+lib/libssl.so.1.0
+lib/libssl.so.1.0.0
+
+# fcitx-qt5
+lib/libFcitxQt5DBusAddons.so
+lib/libFcitxQt5DBusAddons.so.1
+lib/libFcitxQt5DBusAddons.so.1.0
+lib/libFcitxQt5WidgetsAddons.so
+lib/libFcitxQt5WidgetsAddons.so.1
+lib/libFcitxQt5WidgetsAddons.so.1.0
+
+# icu
+lib/libicudata.so.52
+lib/libicui18n.so.52
+lib/libicui18n.so.52.1
+lib/libicuuc.so.52
+lib/libicuuc.so.52.1
+
+# libsecret
+lib/libsecret-1.so
+lib/libsecret-1.so.0
+lib/libsecret-1.so.0.0.0
+
+# libxkbcommon
+lib/libxkbcommon.so
+lib/libxkbcommon.so.0
+lib/libxkbcommon.so.0.0
+lib/libxkbcommon.so.0.0.0
+
+# qt5-base
+lib/libQt5Core.so.5
+lib/libQt5Core.so.5.3.2
+lib/libQt5DBus.so.5
+lib/libQt5DBus.so.5.3.2
+lib/libQt5Gui.so.5
+lib/libQt5Gui.so.5.3.2
+lib/libQt5Network.so.5
+lib/libQt5Network.so.5.3.2
+lib/libQt5OpenGL.so.5
+lib/libQt5OpenGL.so.5.3.2
+lib/libQt5Sql.so.5
+lib/libQt5Sql.so.5.3.2
+lib/libQt5Widgets.so.5
+lib/libQt5Widgets.so.5.3.2
+lib/libQt5Xml.so.5
+lib/libQt5Xml.so.5.3.2
+
+# qt5-location
+lib/libQt5Positioning.so.5
+lib/libQt5Positioning.so.5.3.2
+
+# qt5-declarative
+lib/libQt5Qml.so.5
+lib/libQt5Qml.so.5.3.2
+lib/libQt5Quick.so.5
+lib/libQt5Quick.so.5.3.2
+lib/libQt5QuickWidgets.so.5
+lib/libQt5QuickWidgets.so.5.3.2
+
+# qt5-sensors
+lib/libQt5Sensors.so.5
+lib/libQt5Sensors.so.5.3.2
+
+# qt5-webkit
+lib/libQt5WebKit.so.5
+lib/libQt5WebKit.so.5.3.2
+lib/libQt5WebKitWidgets.so.5
+lib/libQt5WebKitWidgets.so.5.3.2
+
+# qt5-xmlpatterns
+lib/libQt5XmlPatterns.so.5
+lib/libQt5XmlPatterns.so.5.3.2
+
diff --git a/foxitreader-excluded_files-x86_64 b/foxitreader-excluded_files-x86_64
new file mode 100644
index 00000000000..ea944666e44
--- /dev/null
+++ b/foxitreader-excluded_files-x86_64
@@ -0,0 +1,134 @@
+# gcc-libs
+lib/libstdc++.so.6
+
+# glib2
+lib/libglib-2.0.so.0
+lib/libgobject-2.0.so.0
+lib/libgthread-2.0.so.0
+
+# gstreamer0.10-base
+lib/libgstapp-0.10.so.0
+lib/libgstapp-0.10.so.0.25.0
+lib/libgstbase-0.10.so.0
+lib/libgstinterfaces-0.10.so.0
+lib/libgstinterfaces-0.10.so.0.25.0
+lib/libgstpbutils-0.10.so.0
+lib/libgstpbutils-0.10.so.0.25.0
+lib/libgstvideo-0.10.so.0
+
+# gst-plugins-base-libs
+lib/libgstpbutils-1.0.so.0
+lib/libgstpbutils-1.0.so.0.403.0
+
+# gstreamer0.10
+lib/libgstreamer-0.10.so.0
+lib/libgstreamer-0.10.so.0.30.0
+
+# libgcrypt
+lib/libgcrypt.so.11
+
+# openssl
+lib/libcrypto.so.10
+lib/libssl.so.10
+
+# libffi
+lib/libffi.so.5
+
+# fcitx-qt5
+lib/libFcitxQt5DBusAddons.so.1
+lib/libFcitxQt5DBusAddons.so.1.0
+
+# icu
+lib/libicudata.so.52
+lib/libicui18n.so.52
+lib/libicui18n.so.52.1
+lib/libicuuc.so.52
+lib/libicuuc.so.52.1
+
+# libsecret
+lib/libsecret-1.so
+lib/libsecret-1.so.0
+
+# libxkbcommon
+lib/libxkbcommon.so.0
+lib/libxkbcommon.so.0.0.0
+
+# libxslt
+lib/libxslt.so.1
+lib/libxslt.so.1.1
+lib/libxslt.so.1.1.26
+
+# qt5-base
+lib/libQt5Core.so
+lib/libQt5Core.so.5
+lib/libQt5Core.so.5.3
+lib/libQt5Core.so.5.3.2
+lib/libQt5DBus.so
+lib/libQt5DBus.so.5
+lib/libQt5DBus.so.5.3
+lib/libQt5DBus.so.5.3.2
+lib/libQt5Gui.so
+lib/libQt5Gui.so.5
+lib/libQt5Gui.so.5.3
+lib/libQt5Gui.so.5.3.2
+lib/libQt5Network.so
+lib/libQt5Network.so.5
+lib/libQt5Network.so.5.3
+lib/libQt5Network.so.5.3.2
+lib/libQt5OpenGL.so
+lib/libQt5OpenGL.so.5
+lib/libQt5OpenGL.so.5.3
+lib/libQt5OpenGL.so.5.3.2
+lib/libQt5Sql.so
+lib/libQt5Sql.so.5
+lib/libQt5Sql.so.5.3
+lib/libQt5Sql.so.5.3.2
+lib/libQt5Widgets.so.5
+lib/libQt5Widgets.so.5.3.2
+lib/libQt5Xml.so
+lib/libQt5Xml.so.5
+lib/libQt5Xml.so.5.3
+lib/libQt5Xml.so.5.3.2
+
+# qt5-location
+lib/libQt5Positioning.so
+lib/libQt5Positioning.so.5
+lib/libQt5Positioning.so.5.3
+lib/libQt5Positioning.so.5.3.2
+
+# qt5-declarative
+lib/libQt5Qml.so
+lib/libQt5Qml.so.5
+lib/libQt5Qml.so.5.3
+lib/libQt5Qml.so.5.3.2
+lib/libQt5Quick.so
+lib/libQt5Quick.so.5
+lib/libQt5Quick.so.5.3
+lib/libQt5Quick.so.5.3.2
+lib/libQt5QuickWidgets.so
+lib/libQt5QuickWidgets.so.5
+lib/libQt5QuickWidgets.so.5.3
+lib/libQt5QuickWidgets.so.5.3.2
+
+# qt5-sensors
+lib/libQt5Sensors.so
+lib/libQt5Sensors.so.5
+lib/libQt5Sensors.so.5.3
+lib/libQt5Sensors.so.5.3.2
+
+# qt5-webkit
+lib/libQt5WebKit.so
+lib/libQt5WebKit.so.5
+lib/libQt5WebKit.so.5.3
+lib/libQt5WebKit.so.5.3.2
+lib/libQt5WebKitWidgets.so
+lib/libQt5WebKitWidgets.so.5
+lib/libQt5WebKitWidgets.so.5.3
+lib/libQt5WebKitWidgets.so.5.3.2
+
+# qt5-xmlpatterns
+lib/libQt5XmlPatterns.so
+lib/libQt5XmlPatterns.so.5
+lib/libQt5XmlPatterns.so.5.3
+lib/libQt5XmlPatterns.so.5.3.2
+